Name:           flatbuffers
Version:        1.0.3
Release:        1
Summary:        Memory Efficient Serialization Library from Google

License:        ASL 2.0
URL:            http://google.github.io/flatbuffers/

Source0:        https://github.com/google/flatbuffers/archive/v%{version}.tar.gz

# https://github.com/eile/flatbuffers/commit/58b931462be660f31fe3993507c0cfe7402e899e
Patch0:         flatbuffers-fix-arm-build.patch

BuildRequires:  cmake

%description
FlatBuffers is a serialization library for games and other memory constrained apps.
FlatBuffers allows you to directly access serialized data without unpacking/parsing
it first, while still having great forwards/backwards compatibility.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
%description    devel
%{summary}.

%prep
%setup -n %{name}-%{version}

%patch0 -p1 -b .arm


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%license LICENSE.txt
%doc readme.md
# Empty, this is a header-only library

%files devel
%{_bindir}/flatc
%{_includedir}/flatbuffers


%changelog
* Mon Mar 30 2015 Daniel Vrátil <dvratil@redhat.com> - 1.0.3-1
- Initial version
